#!/usr/bin/env python
# -*- encoding: utf-8 -*-
"""
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2024/04/09 13:10:31
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   config
"""

import os
from dotenv import load_dotenv

if os.path.exists('.env'):
    load_dotenv('.env', verbose=True)

class BaseConfig:
    ''' 基础配置 '''
    # persist_directory = os.environ.get('PERSIST_DIRECTORY')
    # CG_TOKEN = os.getenv("CHATGPT_TOKEN", "your-chatgpt-token")
    SUPERADMIN = 'admin'

class DevelopmentConfig(BaseConfig):
    ''' 开发环境配置, 开启调试模式, 使用 sqlite '''
    DEBUG = True
    SQLALCHEMY_TRACK_MODIFICATIONS = True
    # SQLALCHEMY_ECHO = True
    # SQLALCHEMY_COMMIT_ON_TEARDOWN = True
    SQLALCHEMY_DATABASE_URI = 'sqlite:///../fgh.sqlite3.db'

class TestingConfig(BaseConfig):
    DEBUG = True

class ProductionConfig(BaseConfig):
    DEBUG = False
    
config = {
    'default': DevelopmentConfig,
    'development': DevelopmentConfig,  # 开发环境配置, 开启调试模式, 使用 sqlite
    # "testing": TestingConfig,
    'production': ProductionConfig
}
